Estou com problemas em fazer a atualização do meu arch linux

1. Estou com problemas em fazer a atualização do meu arch linux

João Ricardo Santini Zandoná
joaozandona

(usa Arch Linux)

Enviado em 21/09/2021 - 20:22h

Então, eu fiquei um tempo sem mexer no arch, e quando fui voltar a mexer quis atualizar o sistema, mas tive um problema na biblioteca libcamberra, e não sei como resolver. Por favor, qualquer ajuda é bem vinda tá...


  


2. Re: Estou com problemas em fazer a atualização do meu arch linux

Buckminster
Buckminster

(usa Debian)

Enviado em 21/09/2021 - 21:06h

libcanberra-gstreamer - Define uma interface abstrata simples para reproduzir sons de eventos. Este pacote contém o backend GStreamer para libcanberra.

libcanberra-pulse - Este pacote contém o backend do PulseAudio para libcanberra.

libcanberra - Inclui back-ends apenas para ALSA, PulseAudio, OSS e GStreamer. Foi declarada uma dependência abençoada do GNOME.

http://0pointer.de/lennart/projects/libcanberra/

"Libcanberra é uma interface abstrata simples para reproduzir sons de eventos. Ele implementa o tema de som XDG e as especificações de nomenclatura para gerar sons de eventos em áreas de trabalho gratuitas, como o GNOME."
https://wiki.archlinux.org/title/Libcanberra


Depende do que tu quer e qual tua interface gráfica (Gnome, KDE, etc)?
Ali ele perguntou se você pretende substituir lbcanberra-pulse por libcanberra. Basta responder que não "n", mas se tu instalou recentemente algum pacote e/ou programa que dependa de libcanberra-pulse aí a "porca torce o rabo".

Eu uso o pacman em vez desse yay aí. Nem tenho esse yay instalado.
$ sudo pacman -Syu
$ sudo pacman -S pacman-contrib

E veja a saída de
$ sudo pactree -r libcanberra-gstreamer
$ sudo pactree -r libcanberra-pulse

ou (que é parecido ao comando do pacman acima)
$ sudo yay -Si libcanberra-gstreamer
$ sudo yay -Si libcanberra-pulse

https://wiki.archlinux.org/title/Pacman_(Português)

Aconselho a habilitar o repositório multilib:

$ sudo nano /etc/pacman.conf
Descomente a seção multilib tirando o sinal # das seguintes linhas no arquivo deixando assim:
[multilib]
Include = /etc/pacman.d/mirrorlist

e daí
$ sudo pacman -Syu

Aqui tenho 4 repositórios:
Core
Extra
Community
Multilib

Mas vai de cada um.


________________________________________________
Always listen the Buck!
Sanou tua dúvida, resolveu teu problema?
Então marque como Resolvido e escolha a Melhor Resposta.


3. Ainda com problemas

João Ricardo Santini Zandoná
joaozandona

(usa Arch Linux)

Enviado em 21/09/2021 - 21:58h

Então cara eu já tentei dar "n" na instalação, mas não funcionou, eu uso KDE, tentei com o pacman também mas não deu certo, fiz todos os passos que você falou, e quando procurei as libs que você colocou ali ele retornou que não encontrou nada


4. Re: Estou com problemas em fazer a atualização do meu arch linux

Buckminster
Buckminster

(usa Debian)

Enviado em 21/09/2021 - 22:17h


$ sudo pacman -Rs libcanberra-gstreamer
$ sudo pacman -Rs libcanberra-pulse
para ensinar ao pacman (mesmo que o retorno seja alvo não encontrado, e depois
$ sudo pacman -Syu

Geralmente o pacman, ao sugerir Y/n com pacotes ele já coloca a opção padrão, daí é só esperar sem digitar y ou n que ele segue sozinho.

Caso quiser delete o libcanberra também, esse pacote é para o Gnome e um pouco para o Cinnamon. Tu usa o KDE.
Qualquer coisa instala o pulseaudio e o pulseaudio-alsa:
https://wiki.archlinux.org/title/PulseAudio_(Português)

https://archlinux.org/packages/extra/x86_64/libcanberra/

Pode tentar também:
$ sudo pacman -Rsn lib32-libcanberra-gstreamer libcanberra-gstreamer
$ sudo pacman -S lib32-libcanberra-gstreamer libcanberra-gstreamer
Nestas duas opções acima precisa reiniciar depois.

________________________________________________
Always listen the Buck!
Sanou tua dúvida, resolveu teu problema?
Então marque como Resolvido e escolha a Melhor Resposta.


5. Re: Estou com problemas em fazer a atualização do meu arch linux

niquelnausea
niquelnausea

(usa Arch Linux)

Enviado em 21/09/2021 - 23:57h


remove esse repositório archlinuxfr, depois instala esse pacote libcamberra do repositório extra, mesmo que remova outros pacotes.






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts